FAQ d'installation

Sommaire

Information systèmes nécessaires pour tout problème d'installation abordé sur les forums

Lorsque vous posez des questions sur le forum dédié à l'assistance technique, essayez de fournir autant d'informations que possible sur votre installation de Moodle. Vous pouvez par exemple vous aider des points suivants :

  • La version de PHP (par ex. PHP 5.3.3)
  • Le type du serveur de base de données et la version (par ex. MySQL 5.5.18)
  • Le navigateur internet utilisé et sa version (par ex. Internet Explorer 9)
  • La version de Moodle (par ex. 2.7)
  • Le type d'installation de Moodle (nouvelle/mise à jour)
  • Joindre le fichier Moodle config.php (prenez garde à retirer les mots de passe)
  • Joindre le rendu de PHPinfo

Assurez-vous de fournir une description claire et compréhensible (jamais d'appel à l'aide ni d'invitation à l'urgence) ainsi qu'une description précise de ce que vous avez fait et de ce qu'il s'est passé. Copiez et collez tous les messages d'erreur en entier. Dire que rien ne s'affiche n'est pas normal, même une page blanche signifie quelque chose.

Haut

PHP est-il installé ? Quelle est sa version ?

Créez un nouveau fichier sur votre site et nommez le info.php. Il devra contenir le texte suivant :

<?php phpinfo() ?>

Accédez au fichier depuis votre navigateur internet. Si rien ne se passe, PHP n'est pas installé ou votre serveur web n'est pas configuré pour sa prise en charge. Consultez la documentation pour prendre connaissance de la procédure d'installation et de l'endroit où le télécharger pour votre ordinateur. Consultez la page PHP Info (documentation de PHP) pour plus de détails sur le contenu de cette page.

Haut

Où les paramètres de configuration de Moodle sont-ils stockés ?

Les paramètres de configurations sont stockés dans le fichier config.php présent dans le dossier Moodle. Ce fichier est créé durant la phase d'installation. Si un problème survient et que le programme d'installation ne parvient pas à créer le fichier, essayez de le créer à la main en vous aidant de la documentation sur le fichier de configuration.

Haut

Télécharger les versions antérieures de Moodle

Il est possible de télécharger les versions antérieures de Moodle et qui ne sont plus disponibles depuis la page de téléchargement. Les versions encore supportées sont disponibles sur cette page. Les versions qui reçoivent des correctifs de sécurité sont disponibles sur cette page.

Les anciennes versions de Moodle, non supportées et sans correctifs de sécurité, sont disponibles ici. Il est fortement déconseillé de les installer.

On peut télécharger n'importe quelle version plus ancienne de Moodle en utilisant le serveur Git de Moodle. Par exemple, la version 1.0 de Moodle est téléchargeable via ce lien.

Haut

Comment activer et vérifier les journaux d'erreurs de PHP ?

PHP peut être configuré pour enregistrer les erreur de nombreuses manières : deux d'entre elles impliquent l'utilisation du fichier php.ini et de la commande ini_set. Consultez la page PHP error logs.

Haut

Les courriels ne sont pas envoyés depuis mes forums

Vous devez configurer cron correctement si vous souhaitez que Moodle envoie automatiquement les courriels des forums, des devoirs, etc. Cron exécute également des tâches de maintenance comme la suppression des utilisateurs qui n'ont pas confirmé leur inscription, la désinscription des anciens étudiants, etc. Veuillez vous référer aux instructions sur cron.

Astuces :

  • Essayer d'utiliser les paramètres par défaut dans Réglages > Administration du site > Plugins > Output des messages > Courriel. Cela fonctionne dans la plupart des cas, sauf...
  • sur un serveur Windows où vous devez fournir l'adresse d'un serveur SMTP (Windows, à la différence d'Unix, ne dispose pas d'un serveur de messagerie intégré) dans la page de configuration ci-dessus.
  • Assurez-vous que allowuseremailcharset dans Réglages > Administration du site > Output des messages > Courriel est positionné sur « Non » à moins que vous ne vouliez comprendre ce que vous êtes en train de faire. Le positionner sur « Oui » peut entraîner des problèmes sur certaines versions de Moodle.
  • Vérifiez votre pare-feu ou demandez à votre administrateur réseau. De nombreux serveurs de courriels sont verrouillés et vous aurez besoin de permissions pour envoyer des courriels par leur intermédiaire.

Haut

Je ne peux pas me connecter, je reste coincé à l'écran de connexion

Cela peut également s'appliquer si vous voyez « Votre session a expiré. Veuillez vous connecter à nouveau » et que vous ne pouvez pas vous connecter.

Les points suivants sont autant de causes possibles et d'actions que vous pouvez tenter (sans aucun ordre particulier) :

  • Vérifiez d'abord sur le problème se produit également avec le compte de l'administrateur (qui est un compte créé manuellement). Si vos utilisateurs utilisent une méthode d'authentification externe (par ex. LDAP), cela peut être un problème. Isolez le problème est assurez-vous que Moodle a bien un problème avant d'aller plus loin.
  • Les sessions peuvent ne pas être configurées correctement sur le serveur. Vous pouvez tester en utilisant le script http://yourserver/moodle/lib/session-test.php.
  • Si votre serveur est sur un hébergement mutualisé, vérifiez que vous n'avez pas atteint votre quota d'espace disque. Cela empêchera la création de nouvelles sessions et personne ne pourra se connecter.
  • Vérifiez avec attention les permissions de votre répertoire « moodledata ». Le serveur web doit pouvoir écrire dans le sous-répertoire « sessions ».
  • Votre propre ordinateur (et non votre serveur web Moodle) a peut-être un pare-feu qui interfère les informations qui proviennent du navigateur web. Voici quelques informations pour régler le problème avec le pare-feu Norton.
  • Essayez de supprimer le répertoire sessions dans le répertoire moodledata (toutes les personnes connectées seront déconnectées).
  • Essayez de supprimer les cookies sur votre ordinateur et/ou essayez un autre navigateur web ou un autre ordinateur
  • Depuis Administration du site > Serveur > Gestion des sessions, essayez de paramétrer une valeur pour « Préfixe du cookie ». Vous pouvez aussi le paramétrer en ajoutant
    $CFG->sessioncookie='something';
    dans votre fichier config.php. Ceci vaut surtout si vous utilisez plusieurs Moodle depuis un même navigateur web.
  • Assurez-vous que vous n'avez pas supprimé ou modifié la/les valeur(s) du salage de mot de passe dans config.php. Si les mots de passe ont été créés en utilisant un salage, la valeur correcte doit être renseignée dans le fichier config.php pour que ces mots de passe continuent de fonctionner. Cette fonctionnalité était optionnelle depuis Moodle 1.6 mais a été appliquée par défaut à partir de Moodle 1.9.7. Ceci est réalisable facilement si vous recréez le fichier config.php en effectuant une mise à jour et en oubliant de transférer la valeur du salage.
  • Vous avez peut-être un fichier .htaccess dans votre dossier Moodle (ou dans l'un des dossiers parents). Dans ce cas, sa configuration pourrait créer des problèmes (redirections étranges, restrictions d'accès, etc.) ?
  • Vérifiez la valeur de mnet_localhost_id dans la table mdl_config de la base de données. Sa valeur est normalement sur 1 mais doit correspondre au champ mnet_hostid dans les enregistrements utilisateur de la table mdl_user pour qu'il soit reconnu. Il peut également changer sournoisement pendant une mise à jour ou une migration.
  • Vous utilisez bien les bons nom d'utilisateur et mot de passe, n'est-ce pas ?

Si vous avez toujours des problèmes, lisez la page Cannot log in. Vous pourriez aussi modifier le mot de passe de l'administrateur. Lisez la page Administration FAQ si vous l'avez perdu.

Haut

Je me connecte mais le lien ne change pas. Je suis connecté et je peux naviguer normalement.

Assurez-vous que l'URL dans le paramètre de
$CFG->wwwroot
est exactement la même que celle que vous utilisez pour accéder au site.

Haut

Le chargement de fichier retourne « Fichier non trouvé »

Par exemple : Not Found: The requested URL /moodle/file.php/2/myfile.jpg was not found on this server.

Votre serveur web doit être configuré pour autoriser que la partie de l'URL qui suit le nom d'un script soit directement passé au script. Cette fonctionnalité est activée dans Apache 1, mais est généralement désactivée sur Apache 2. Pour l'activer, ajoutez la ligne à votre fichier httpd.conf, ou à un fichier .htaccess dans le répertoire local (consultez Installation de Moodle pour davantage de détails) :

AcceptPathInfo on

Note : Cela ne fonctionnera qu'avec les versions d'Apache 2.x.

Pour IIS vous avez besoin de configurer la ré-écriture d'adresse URL. Cette fonctionnalité n'est pas disponible sur IIS 6, vous devez installer une extension IIS tierce. Consultez http://msdn.microsoft.com/en-us/library/ms972974.aspx.

IIS 7 prend désormais en charge la ré-écriture des URL ; une extension tierce n'est plus nécessaire si vous utilisez IIS 7. Consultez http://learn.iis.net/page.aspx/734/url-rewrite-module pour davantage de détails.

Une fois que la ré-écriture d'URL fonctionne, la règle recommandée est la suivante :

RewriteRule ^([^\?]+?\.php)(\/.+)$ $1\?file=$2 [QSA]

En théorie, vous pouvez essayer d'utiliser le « path info » sur IIS, mais il n'est pas fiable, surtout quand les noms de fichier sont en unicode.

Si vous n'arrivez pas à configurer votre serveur correctement, vous pouvez configurer Moodle pour utiliser une méthode alternative. Le plus gros désavantage étant que vous ne pourrez plus utiliser les paquets SCORM du tout, ni certains applets Flash ou Java.

Pour utiliser cette méthode, vous devez modifier la variable slasharguments. Pour les versions de Moodle < 1.7, ce paramètre est situé dans le système d'exploitation Administration > Configuration > Variables. Dans les dernières versions, cette option est située dans Administration du site > Serveur > HTTP. Vous devriez pouvoir accéder aux fichiers que vous avez chargés.

Consultez également :

Haut

Pourquoi toutes mes pages sont-elles vides ?

Vérifiez la variable dirroot de votre fichier config.php. Le chemin doit être complet et en absolu (par ex.)

$CFG->dirroot = "/var/www/moodle";

Une autre raison peut provenir de PHP qui n'a pas été configuré pour prendre en charge MySQL (ou toute autre base de données que vous pouvez utiliser). Cette erreur est fréquente sur RedHat ou OpenBSD. Dans ces cas, une erreur est générée mais comme l'affichage des erreurs est souvent désactivé par défaut, tout ce qui apparaît à l'écran est un écran vide. Pour activer les erreurs PHP, consultez Comment activer et vérifier les journaux d'erreurs de PHP ?.

Pour déterminer si la prise en charge de votre base de données pose problème, insérer ceci dans votre fichier config.php

phpinfo();

puis rechargez la page. Examinez la sortie attentivement pour voir si votre base de données est prise en charge. Si ce n'est pas le cas, chercher le paquet manquant à votre installation.

Haut

Pourquoi une page particulière est-elle vide ou incomplète ?

  • Vérifiez les fichiers logs de votre serveur !!
Si une page particulière est vide ou incomplète (le footer n'est pas affiché), avant de faire quoi que ce soit, activez le Debugging et vérifiez les fichiers logs de PHP. Une fois assuré que la journalisation des erreurs de PHP fonctionne, reproduisez l'erreur et consultez immédiatement la fin du fichier log. Il est possible que cela solutionne votre problème immédiatement ou peut vous aider à décrire votre problème sur le forum d'assistance.
  • Si vous faites une mise à jour vers une nouvelle version de Moodle, vérifiez que vous n'avez pas d'anciennes version d'un bloc ou d'une extension non-standard. Supprimez ces blocs et ces extensions en utilisant la page de configuration dans les paramètres puis relancez le processus d'installation. Assurez-vous cependant que les extensions requises par vos cours sont bel et bien présentes.
  • Si vous ne voyez pas de blocs listés, activez le mode édition et supprimez tous les blocs que vous avez ajoutés et essayez de recharger la page.
  • Vous pouvez obtenir cette erreur immédiatement après avoir sélectionné une langue. À ce moment de l'installation, Moodle a besoin d'accéder à Internet pour télécharger le paquetage de langue. Vérifiez que le serveur est connecté à Internet et que la connexion fonctionne. Vérifiez également que votre version de PHP corresponde à la version de PHP mentionnée sur cette page.

Consultez également :

Haut

L'installation se bloque lors de l'écriture de la base de données

L'installation peut parfois se bloquer durant l'écriture de la base de données, avec une moitié de page affichée dans le navigateur internet et/ou les informations de sortie sont manquantes. Vous pourriez voir des informations tronquées sur MySQL ou l'absence du bouton « Continuer » alors que la mention « scroll to continue » est présente.

Consultez la page Unexpected installation halts pour davantage de solutions qui peuvent impliquer :

  • la vérification des limites de MySQL
  • la vérification des fichiers .htaccess
  • les problèmes liés à la personnalisation du code
  • la vérification de la limite de la mémoire
  • une mise à jour incrémentielle
  • la réparation de la fonction fopen

Haut

Pourquoi m'est-il impossible de charger une nouvelle image pour mon profil

Si rien ne vous permettant de charger une image pour votre utilisateur n'est disponible sur votre page de profil, il se peut que cela vienne de :

  • Les permissions associées au rôle que vous utilisez vous empêche de modifier l'image de votre utilisateur.
  • GD n'est pas installé, ou n'est pas activé sur votre serveur. Assurez-vous que GD a été inclus à votre installation de PHP. Vous pouvez vérifier cela en consultant Administration du > Serveur > PHP info et relever les paramètres de gdversion. Ce paramètre est sélectionné automatiquement à chaque fois que vous visitez une page. Si GD est en version 1 ou version 2, alors tout devrait se passer correctement. Enregistrez la configuration et retournez sur la page de votre profil.
  • GD est installé mais est corrompu. Par exemple, consultez cette discussion sur les lignes vides ou des espaces dans les fichiers de configuration.

GD est une bibliothèque qui traite les images. Par exemple, quand votre système fonctionne correctement et que vous envoyez une nouvelle image pour votre profil, GD compresse l'image et en produit deux miniatures ; l'une de 100 x 100 pixels, l'autre de 35 x 35 pixels.

Si Moodle mentionne que GD n'est pas installé, alors vous devrez installer la bibliothèque GD.

  • Sur Unix vous devrez peut-être re-compiler PHP avec des arguments, tels que :
./configure --with-apxs=/usr/local/apache/bin/apxs --with-xml --with-gd 
--with-jpeg-dir=/usr/local --with-png-dir=/usr --with-ttf --enable-gd-native-ttf 
--enable-magic-quotes --with-mysql --enable-sockets --enable-track-vars 
--enable-versioning --with-zlib
  • Sur Windows, il s'agit bien souvent d'activer l'extension dans PHP en modifiant le fichier php.ini. Vérifiez que le fichier php_gd2.ini est présent dans le dossier des extensions PHP (recherchez dans le fichier php.ini l'emplacement du dossier d'extension avec la variable extension_dir). Une fois repéré, retirez le « ; » au début de la ligne pour activer l'extension php_gd2.dll. La ligne devrait ressembler à cela :
extension=php_gd2.dll
Les utilisateurs de Windows devraient consulter la page installation instructions pour obtenir davantage d'aide.
  • Pensez à redémarrer votre serveur web(si possible) et à consulter à nouveau les pages de configuration de Moodle après avoir effectué une modification à PHP afin de choisir la bonne version de GD.

Consultez aussi : Utilisation de Moodle - forum de discussion Profile pictures pour des informations complémentaires.

Haut

Pourquoi mon site Moodle n'affiche pas la date et l'heure correctement ?

Chaque langue est identifiée par un code spécifique (appelé un code locale) pour permettre aux dates de s'afficher correctement. Les paquetages de langue contiennent les codes locaux standards par défaut, mais peuvent parfois ne pas fonctionner sur les serveurs Windows ou ne pas être installés sur votre serveur.

Pour installer des locales sur votre serveur Unix, voyez par exemple comment le faire sur un serveur Ubuntu ou [sur un serveur Debian https://wiki.debian.org/Locale].

Vous pouvez trouver les codes corrects pour Windows depuis ces deux pages : Language codes et Country/region codes (par ex. "esp_esp" pour l'espagnol)

Ces nouveaux codes peuvent être saisis sous Locale du site dans la page Administration > Administration du site > Langue > Réglages langue, d'où ils écraseront les codes du paquetage de langue sélectionné.

Haut

Comment désinstaller Moodle ?

Le principe est simple :

  • supprimer le dossier de données (moodledata)
  • supprimer le dossier des scripts de Moodle (moodle)
  • supprimer la base de données utilisée

Hébergement sur internet/Installation manuelle : Si vous avez installé Moodle manuellement ou si vous l'avez installé chez un hébergeur, suivez les étapes suivantes :

  • Effacez la base de données en utilisant une commande MySQL (ou en l'effaçant à l'aide de votre client MySQL, par ex. PHPMyAdmin) :
sql>DROP DATABASE moodle;
Dans l'exemple ci-dessus, remplacez « moodle » avec le nom de la base de données que vous avez créée durant l'installation.
  • Effacez le répertoire moodledata : Si vous ou vos utilisateurs aviez chargé des données dans ce répertoire, assurez-vous d'en faire une copie avant de l'effacer.
  • Effacez par vous même le répertoire moodle. Cela effacera tous les scripts PHP de Moodle.

Installation avec XAMPP sur Windows : Si vous avez installé Moodle sur Windows en utilisant XAMPP, suivez les étapes suivantes :

  • Lancez cmd.exe et naviguez dans le répertoire suivant (disponible dans le répertoire d'installation) :
server/mysql/bin
  • Lancez cette commande en remplaçant USERNAME par le nom d'utilisateur de votre base de données (« root » par défaut) et DATABASE par le nom de votre base de données (par défaut, « moodle ») :
mysqladmin.exe -u USERNAME -p drop DATABASE
  • Saisissez le mot de passe de votre base de données au prompt (il n'y a pas de mot de passe par défaut).
  • Saisissez « y » pour confirmer la suppression de la base de données.
  • Effacez le répertoire moodledata. Si vous ou vos utilisateurs aviez chargé des données dans ce répertoire, assurez-vous d'en faire une copie avant de l'effacer.
  • Effacez par vous même le répertoire moodle. Cela effacera tous les scripts PHP de Moodle.

Migrer Moodle vers un nouveau site ou un nouveau serveur

Migrer Moodle signifie que vous devez migrer votre installation actuelle vers un nouveau serveur et que vous devrez peut-être modifier l'adresse IP ou les entrées DNS. Pour cela, vous devrez modifier la valeur de $CFG->wwwroot dans le fichier config.php sur le nouveau serveur. Vous devrez également modifier tous les liens absolus stockés dans le fichier de sauvegarde de la base de données (avant de restaurer le fichier sur le nouveau serveur) soit en utilisant le script admin/replace.php, ou à l'aide de votre éditeur de texte ou d'un outil vous permettant de faire des remplacements de texte (sed par exemple). Pour davantage d'informations, consultez la page Migration de Moodle.

Haut

Pourquoi ma nouvelle installation de Moodle s'affiche sans erreur sur le serveur, mais quand je le consulte depuis un ordinateur différent, la feuille de style et les images sont manquantes ?

Dans les instructions d'installation, l'un des paramètres proposés pour « webroot » est « localhost ». Ce choix convient si vous souhaitez faire des tests localement pour une nouvelle installation de Moodle. Si vous voulez accéder à Moodle depuis un autre ordinateur depuis la même zone réseau, ou y accéder depuis internet, vous devrez modifier le paramètre suivant :

  • Pour des tests locaux, « localhost » convient pour la webroot ($CFG->wwwroot dans le fichier config.php).
  • Si vous voulez tester votre site depuis d'autres machines depuis le même réseau local (LAN), vous devrez utiliser l'adresse ip du serveur (par exemple, 192.168.1.2/moodle) ou le nom réseau du serveur (par exemple, nom_réseau_du_serveur/moodle) en tant que racine web. En fonction de la configuration de votre LAN, il vaut parfois mieux utiliser le nom réseau du serveur plutôt que son adresse ip, car l'adresse ip peut changer de temps à autre. Si vous ne voulez pas utiliser le nom réseau, vous devrez en parler à votre administrateur réseau pour disposer d'une adresse IP permanente pour votre serveur.
  • Enfin, si vous souhaitez tester votre installation depuis internet, vous devrez utiliser un nom de domaine ou une adresse IP permanente (publique) en tant que racine. Pour utiliser les deux types d'accès, consultez masquerading.

Haut

Comment modifier la taille maximale des fichiers déposés ?

Ce paramètre peut être modifié à différents endroits.

  1. Dans l'administration du Moodle sous Administration du site > Sécurité > Règles site, le réglage « Taille maximale des fichiers déposés » détermine la limite globale pour toute la plateforme Moodle concernée ;
  2. dans chaque cours de la plateforme, les enseignants peuvent modifier le réglage « Taille maximale des fichiers déposés » (dans les paramètres du cours), sans dépasser la limite globale définie ci-dessus ;
  3. certains modules d'activité ont leur propre réglage permettant de limiter la taille max des fichiers déposés (par exemple forum, devoir). Pour chacun de ces modules, il est possible de modifier le réglage, sans dépasser la limite pour le cours définie ci-dessus.

Si la taille maximale proposée dans l'administration du site est insuffisante, vous devrez modifier les paramètres de votre serveur. Cela se fait habituellement dans le fichier php.ini (rendez-vous dans Administration du site > Serveur > Info PHP et vérifiez sa présence quelques lignes plus bas). Cherchez ensuite les paramètres upload_max_filesize et post_max_size, et modifiez les avec les valeurs de votre choix (par ex. « 64MB »). Vous devrez redémarrer votre serveur web pour que les modifications soient prises en compte — par ex. sur Linux, /etc/init.d/apache2 force-reload. Vérifiez la documentation de votre serveur ou redémarrez-le.

Pour davantage d'aide sur ce sujet

Haut

Moodle affirme que la gestion des nombres décimaux dans PHP n'est pas compatible

Ce symptôme apparaît lorsque vous essayez d'installer ou de mettre à jour Moodle. Le message « Detected unexpected problem in handling of PHP float numbers » apparaît.

Ce fil de discussion et le rapport de bogue MDL-18253 contiennent davantage d'informations. En clair, ce problème ne devrait pas se produire. Vous pouvez nous aider en nous remontant la version exacte de PHP et du système d'exploitation que vous utilisez. Cela nous permettra peut-être de trouver une solution au problème.

Vous pourrez résoudre ce problème en installant une version plus récente de PHP. Si vous compilez PHP vous-même, depuis les sources, la modification des options de compilation peut également résoudre le problème, mais nous n'en sommes pas sûr. Si vous trouvez une solution qui a fonctionné sur votre installation, merci de nous en avertir.

Mise à jour : nous pensons avoir trouvé d'où venait le problème : du paramètre « precision » dans votre fichier php.ini. Dans une installation de PHP par défaut, la valeur de ce paramètre est de 14. Sur au moins un serveur qui a été confronté au problème, la valeur du paramètre a été abaissé. Si vous rencontrez ce problème, essayez d'ajouter

ini_set('precision', 14);

à votre fichier config.php, et dites-nous si cela a fonctionné sur MDL-18253.

Haut

Lors de la mise à jour, Moodle affirme que la base de données n'est pas en UTF-8, alors que je suis certain que c'est le cas

Ce problème apparaît quand vous mettez à jour une version de Moodle 1.6 ou supérieure vers une nouvelle version. La vérification de l'environnement affirme que la base de données n'est pas en UTF8 et refuse d'effectuer la mise à jour.

L'encodage des caractères de la base de données peut ne pas être dans le bon encodage. Vous pouvez essayer sans risque la commande suivante sur votre base de données (MySQL) :

   ALTER DATABASE moodle DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;

(Changez « moodle » par le nom de votre base de données). Vous aurez besoin de copier cette ligne dans votre client MySQL pour l'exécuter.

Une autre solution consiste à créer une nouvelle installation de Moodle sur un serveur internet et la vérification de l'UTF8 vous empêchera de continuer. Utilisez phpMyAdmin pour vous aider. Avec lui, créez une base de données vide (par exemple, moodle199) et assurez-vous que la valeur d'interclassement est bien en UTF8, tel que utf8_general_ci. Rendez-vous dans votre installation de Moodle, retournez à la page précédente de la vérification des erreurs et remplissez le champ base de données par celui de votre base de données vide (par exemple moodle199).

Si votre version de Moodle est en version 1.5 ou plus ancienne, alors elle dit bien la vérité.

Haut

Comment puis-je utiliser plusieurs versions de Moodle sans dupliquer la base de code ?

Consultez ce fil de discussion pour une explication détaillée par Martin Langhoff.

Qu'est-ce que FreeTDS et comment puis-je l'utiliser pour installation ?

FreeTDS est une implémentation libre du protocole Tabular Data Stream utilisé par Microsoft SQL Server et Sybase pour leurs bases de données. Malheureusement, les serveurs Microsoft n'acceptent habituellement pas les connexions TDS 5.0. FreeTDS permet aux applications Unix/Linux de communiquer avec les autres produits de bases de données et d'importer et d'exporter les données entre différents systèmes.

Haut

Comment installer un plugin ?

Consultez la page Installing plugins.

Haut

Comment modifier Moodle 3.x pour fonctionner sur un hébergement mutualisé 1and1 ?

Bien que l'installation se déroule correctement, tous les fichiers images, css, js... ne sont pas trouvés (erreur 404) : https://moodle.org/mod/forum/search.php?search=1and1&id=20

Moodle 3.x utilise le "slash argument" qu'il récupère dans la variable $_SERVER['PATH_INFO'] ; or chez 1and1 c'est $_SERVER['ORIG_PATH_INFO'] qui est renseignée. Une demande d'évolution a été faite en juillet 2011 : https://tracker.moodle.org/browse/MDL-28538

Pour contourner le problème, il suffit d'ajouter au fichier config.php les lignes suivantes qui vont copier la valeur de $_SERVER['ORIG_PATH_INFO'] dans $_SERVER['PATH_INFO'] si cette dernière n'existe pas. Le fichier config.php étant appelé en premier par tous les autres scripts (image.php, pluginfile.php...), la correction s'applique systématiquement.

config.php
<?php
...
if (!isset($_SERVER['PATH_INFO']) && isset($_SERVER['ORIG_PATH_INFO'])) {
 $_SERVER['PATH_INFO']=$_SERVER['ORIG_PATH_INFO'];
}

Haut

Voir aussi